/**Begin D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DSMAINDATA') 
 CREATE TABLE T_BCM_DSMAINDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FDIMENSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARENT VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FNOSHARE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISACCOUNTOFFSET VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGEAGG VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DSMAINDATA_L') 
 CREATE TABLE T_BCM_DSMAINDATA_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

/**End D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
